'use client';
import { IBreadcrumbItem, pageStore } from '@/shared/store/pageStore';
import ContactContent from '@/widgets/contact/ui';
import React, { useEffect } from 'react';

const ContactUs = () => {
  const breadcrumsItem: IBreadcrumbItem[] = [
    {
      label: 'Главная',
      href: '/',
    },
    {
      label: 'Контакты',
      href: '/contact-us',
    },
  ];

  const { onChangePage } = pageStore((state) => state);

  useEffect(() => {
    onChangePage({
      title: 'Контакты',
      breadcrumbs: breadcrumsItem,
    });
  }, []);
  return (
    <div>
      <ContactContent />
    </div>
  );
};

export default ContactUs;
